import { jsx as o, Fragment as u } from "@emotion/react/jsx-runtime";
import { getPropertyByString as a } from "@m4l/core";
import { ColorFormatter as c } from "../../../formatters/ColorFormatter/ColorFormatter.js";
const d = (n) => {
  const { fieldValue: l, size: i = "medium" } = n;
  return (m) => {
    const { childRows: t } = m;
    if (t.length === 0)
      return /* @__PURE__ */ o(u, { children: "-" });
    const s = t[0], e = a(s, l.toString());
    let r;
    return typeof e == "string" ? r = e : r = null, /* @__PURE__ */ o(c, { value: r, size: i });
  };
};
export {
  d as ColumnColorGroupFormatter
};
